Create/Update News Article

When a user publishes content in the partner's platform, then the partner will make an API request to syndicate the content to Nextdoor. This API will create the article if one for the specified guid does not already exist in Nextdoor's system, or overwrite it for updates.

News Articles on Nextdoor receive greater distribution and ranking than typical user generated content. However, this means we hold news articles to a more stringent level of checks. In order to do this, Nextdoor runs ML models on article content in order to determine its distribution and ranking. Providing full article content is the best way to ensure your article gets turned into a post. Nextdoor never uses this content for display purposes.

https://help.nextdoor.com/s/article/Content-strategy-best-practices-for-News-Accounts?language=en_US

HTTP/1.1 200 OK
{
  "publication_url": <PUBLICATION_WEBSITE_URL>",
  "guid": "<UNIQUE_EXTERNAL_ID>",
  "content_url": "<ARTICLE_URL>",
  "title": "<ARTICLE_TITLE>",
  "description": "<ARTICLE_DESCRIPTION_OR_SNIPPET>",
  "media": {
  "type": "image" | "video",
  "url": "<ARTICLE_COVER_MEDIA_URL>",
  "image_alt_text": "<IMAGE_ALT_TEXT>"
  } | null,
  "authors": ["<AUTHOR_NAME>"],  # optional
  "published_at": "<ARTICLE_PUBLISHED_AT_ISO_8601_TIMESTAMP>",
  "modified_at": "<ARTICLE_MODIFIED_AT_ISO_8601_TIMESTAMP>" | null,
  "content": "<ARTICLE_FULL_CONTENT>" | null,
  "tags": []
}


HTTP/1.1 400 Bad Request 
Content-Type: application/json
{
  "error": "invalid_input", 
  "error_description": "The provided publication_url does not match a page associated with this account.",
  "invalid_parameter: "publication_url"
}

HTTP/1.1 400 Bad Request 
Content-Type: application/json
{
  "error": "invalid_input", 
  "error_description": "Multiple EntityPages associated with this account. Please provide the publication_url.",
  "invalid_parameters: "publication_url"
}
Body Params
string

Fully escaped in https://www.example.com format

string

Primary key of your article

string

Link to the article

string

Title of the article

string

Description of the article

json

{ "type": "image" | "video", "url": "<ARTICLE_COVER_MEDIA_URL>", "image_alt_text": "<IMAGE_ALT_TEXT>"}

string

ARTICLE_PUBLISHED_AT_ISO_8601_TIMESTAMP

string

ARTICLE_MODIFIED_AT_ISO_8601_TIMESTAMP

string

This will not be displayed but is EXTREMELY IMPORTANT as it is used for ML models for targeting and distribution

authors
array of strings

(optional) author names

authors
tags
array of strings

(optional) used for content understanding, not display

tags
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json